Bug 694912 - Can't create new Alert Template, edit button is disabled
Can't create new Alert Template, edit button is disabled
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta2
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-04-08 16:19 EDT by Mike Foley
Modified: 2011-10-04 15:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot of issue (47.44 KB, image/png)
2011-04-08 16:20 EDT, Mike Foley
no flags Details

  None (edit)
Description Mike Foley 2011-04-08 16:19:55 EDT
Description of problem:
Can't create new Alert Template, edit button is disabled


Version-Release number of selected component (if applicable):
4/8/2011 build

How reproducible:
100%

Steps to Reproduce:
1. Administration/Templates,
2. hover over Linux platform, click flag
3. click New button, change to Conditions tab
4. attempt to click edit button 
  
Actual results:
edit button is disabled


Expected results:
edit button is not enabled allowing for creation of new Alert Template

Additional info:
Comment 1 Mike Foley 2011-04-08 16:20:33 EDT
Created attachment 490866 [details]
screenshot of issue
Comment 2 Jay Shaughnessy 2011-04-12 14:03:47 EDT
commit 1b76728da8c05cb9efe2ea04a5e6a677e98166af
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Tue Apr 12 12:56:37 2011 -0400

      This boiled down to an async issue where it was not guaranteed that
      the global perms would be loaded prior to providing them for enablement
      purposes. made template view like resource and group and now provides the
      perms in the constructor, guaranteeing existence.

      also made an analogous fix to metric template button enablement.

Test notes: test with permissioned and non-permissioned users.  I'd also suggest testing not only alert templates but also some surface level testing of
group and resource alert def testing.
Comment 3 Sunil Kondkar 2011-05-06 02:36:26 EDT
Verified on rhq4 release build (Version: 4.0.0 Build Number: db0c817)

Verified on Alerts template and on group and resource alert definitions. Edit button is enabled for user having permissions. For user without permissions, all the buttons like New, Enable, Disable, Delete and Edit are disabled.

Marking as verified.
Comment 4 Corey Welton 2011-05-23 21:17:31 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:17:32 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:17:32 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:17:32 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.